terraserver WMS getcapabilities not understood

2007-03-20 04:07 AM - neteler-itc-it -

Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10729

Description

Hi,

when accessing

http://terraserver.microsoft.com/ogccapabilities.ashx

QGIS is segfaulting...

Best,

Markus

History

#1 - 2007-03-20 04:50 AM - Magnus Homann

- Status changed from Open to In Progress

Are you using trunk or 0.8 branch?

#2 - 2007-03-20 05:59 AM - anonymous -

The HEAD version, so trunk, updated right now.

Ah, it no longer segfaults but returns to the

menu. Very good.

Changing the topic to "terraserver WMS getcapabilities not understood".

After clicking "connect", I get

Could not understand the response.  The wms provider said:

The file returned from 

http://terraserver.microsoft.com/ogccapabilities.ashx

looks like XML to me (maybe not valid WMS?).

Markus
#3 - 2007-03-20 11:45 AM - Magnus Homann

For me, it returns a list of layers. No errors there. This is both in latest trunk and 0.8 branch.

The layers do not draw, however.

#4 - 2007-09-03 01:10 PM - Marco Hugentobler

The problem is that terraserver uses different urls for [[GetCapabilities]] and [[GetMap]]:

http://terraserver.microsoft.com/ogccapabilities.ashx

and

http://terraservice.net/ogcmap.ashx

In my opinion, this is a strange interpretation of the WMS specification. Should qgis support several urls? I think if it is only terraserver, then not. If there are

more wms servers like this out there, then probably yes.

#5 - 2008-09-23 07:24 AM - Tom Kralidis

Replying to [comment:5 mhugent]:

The problem is that terraserver uses different urls for [[GetCapabilities]] and [[GetMap]]:

http://terraserver.microsoft.com/ogccapabilities.ashx

and

http://terraservice.net/ogcmap.ashx

In my opinion, this is a strange interpretation of the WMS specification. Should qgis support several urls? I think if it is only terraserver, then not. If

there are more wms servers like this out there, then probably yes.

Yes, this is strange, but legal.  FWIW, in practice, I think this is one of the only WMS endpoints I've seen configured like this.

#6 - 2008-10-02 04:20 PM - Martin Dobias

Apparently the URL has changed in meanwhile, now at: http://terraserver-usa.com/ogccapabilities.ashx

But the problem persits... for me it doesn't crash, just doesn't show any raster.

URL for [[GetMap]] request is advertised in [[GetCapabilities]] answer in element Capability -> Request -> [[GetMap]] -> DCPType -> HTTP -> Get ->

[[OnlineResource]]

#7 - 2008-10-02 04:24 PM - Tom Kralidis

Replying to [comment:8 wonder]:

2024-04-27 2/3

http://terraserver.microsoft.com/ogccapabilities.ashx
http://terraservice.net/ogcmap.ashx
http://terraserver.microsoft.com/ogccapabilities.ashx
http://terraservice.net/ogcmap.ashx
http://terraserver-usa.com/ogccapabilities.ashx


Apparently the URL has changed in meanwhile, now at: http://terraserver-usa.com/ogccapabilities.ashx

But the problem persits... for me it doesn't crash, just doesn't show any raster.

URL for [[GetMap]] request is advertised in [[GetCapabilities]] answer in element Capability -> Request -> [[GetMap]] -> DCPType -> HTTP -> Get

-> [[OnlineResource]]

Correct.  The bulletproof thing to do would be to invoke a GetCapabilities request, pick up this value and use that as the GetMap server URL.

#8 - 2008-10-08 03:15 PM - Martin Dobias

- Status changed from In Progress to Closed

- Resolution set to fixed

fixed in  by Vita Cizek - thanks for contribution!

#9 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
